# updateMyProfile

Source: /openapi/thomas-federated.openapi.json

## Operation

| Method | URL |
|---|---|
| PATCH | https://api.thomas.co/v1/profile/details |

| Field | Value |
|---|---|
| operationId | updateMyProfile |
| method | PATCH |
| server | https://api.thomas.co/v1 |
| path | /profile/details |
| tags | `My Profile` |
| summary | Update own name details (self-edit) |
| badges | None |

## Request Parameters

None.

## Request Body

| Content type | Schema refs |
|---|---|
| application/json | #/components/schemas/UpdateMyDetailsDto |

## Responses

| Status | Description | Schema refs |
|---|---|---|
| 204 | Details updated |  |
| 401 | Invalid or missing authentication token (AUTH_TOKEN_INVALID) | #/components/schemas/ApiErrorResponseDto |

## Artifact Examples

### Response 401 example

```json
{
  "statusCode": 401,
  "message": "Invalid or missing authentication token",
  "error": "AUTH_TOKEN_INVALID"
}
```
